aboutsummaryrefslogtreecommitdiff
path: root/read_manga_rofi.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2019-05-31 07:55:31 +0200
committerdec05eba <dec05eba@protonmail.com>2020-07-06 07:12:33 +0200
commit1f623da3b6b056a028c83bd1809b3429b94e1857 (patch)
tree645f71a7f5f7abae5b9110bdd89ebbbb76079eb8 /read_manga_rofi.sh
Initial commit, support for rss torrent, manganelo and readms
Diffstat (limited to 'read_manga_rofi.sh')
-rwxr-xr-xread_manga_rofi.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/read_manga_rofi.sh b/read_manga_rofi.sh
new file mode 100755
index 0000000..cbdc19b
--- /dev/null
+++ b/read_manga_rofi.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+script_path=$(readlink -f "$0")
+script_dir=$(dirname "$script_path")
+cd "$script_dir"
+
+download_dir="$1"
+manga_list=$(ls -t "$download_dir")
+selected_manga=$(echo "$manga_list" | rofi -dmenu -i -p "Select manga")
+chapters=$(ls -t "$download_dir/$selected_manga")
+selected_starting_chapter=$(echo "$chapters" | rofi -dmenu -i -p "Select starting chapter")
+./read_manga.py "$download_dir/$selected_manga" "$selected_starting_chapter"